<?php

namespace CC\CryptoCloud;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

	public function installStep1(): void
	{
		$db = $this->db();

		$db->insert('xf_payment_provider', [
			'provider_id'    => "CryptoCloud",
			'provider_class' => "CC\\CryptoCloud:CryptoCloud",
			'addon_id'       => "CC/CryptoCloud"
		]);
	}

	public function uninstallStep1(): void
	{
		$db = $this->db();

		$db->delete('xf_payment_profile', "provider_id = CryptoCloud");
		$db->delete('xf_payment_provider', "provider_id = CryptoCloud");
	}
}